package org.appfuse.web.controller.controller;

import org.springframework.mock.web.MockHttpServletRequest;
import org.springframework.mock.web.MockHttpServletResponse;
import org.springframework.web.servlet.ModelAndView;
import static org.testng.Assert.*;
import org.testng.annotations.Test;

import java.util.Collection;
import org.appfuse.web.web.HomeController;

public class HomeControllerTest
{

  @Test
  public void index() throws Exception
  {
    HomeController controller = new HomeController();
    ModelAndView mv = controller.handleRequest(new MockHttpServletRequest(), new MockHttpServletResponse());
    assertEquals("home", mv.getViewName());

    String msg = (String) mv.getModel().get("message");
    assertEquals("Hello World!", msg);
  }
}
